Skip to main content
GET
/
jobs
Retrieve jobs list
curl --request GET \
  --url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/jobs \
  --header 'x-api-key: <api-key>'

Documentation Index

Fetch the complete documentation index at: https://fieldpulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:your-api-key-here
required

Query Parameters

page
string

Page number. Starts from 1, defaults to 1.

limit
string

Defaults to 20 items per page, maximum 100 items allowed.

Search string.

sort_by
string

Allowed values: created_at, updated_at.

sort_dir
string

Allowed values: asc, desc

created_from
string

Job's created_at UNIX timestamp.

created_to
string

Job's created_at UNIX timestamp.

status_id
string

Comma separated custom status ids

with_custom_fields
string

Optional. Possible values are true or false. If true, the response will contain custom fileds data in customfields_with_related_data key

qb_class
string

Parameter for filtering by quickbook class name.

filter
string

Array of attribute, operator, and value parts.

asn
string

Array or object containing either a team_id index, assigned_members index containing an array of member ids, or both.

sort
string

Array of attribute and order values.

rel
string

array consisting of indices with the desired relation to include

Response

200 - application/json

Successful response